%define upstream_name    IO-Interface
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    IO::Interface - Perl extension for access to network card configuration information
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/L/LD/LDS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
IO::Interface adds methods to IO::Socket objects that allows them to
be used to retrieve and change information about the network
interfaces on your system.  In addition to the object-oriented access
methods, you can use a function-oriented style.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc Changes META.yml README
%dir %{perl_vendorlib}/*/auto/IO/Interface
%{perl_vendorlib}/*/auto/IO/Interface/*
%{perl_vendorlib}/*/IO/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-3.mga3
+ Revision: 368525
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.60.0-2.mga3
+ Revision: 250785
- rebuild for perl 5.16
- update to 1.06

* Sun Jun 12 2011 sander85 <sander85> 1.50.0-3.mga2
+ Revision: 104688
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.50.0-2.mga1
+ Revision: 30545
- mageia rebuild
- imported package perl-IO-Interface

